## com.lowagie.text.pdf
Class CFFFont.DictOffsetItem

    java.lang.Object
      com.lowagie.text.pdf.CFFFont.Item
          com.lowagie.text.pdf.CFFFont.OffsetItem
              com.lowagie.text.pdf.CFFFont.DictOffsetItem

Enclosing class:
  CFFFont

protected static final class CFFFont.DictOffsetItem
extends CFFFont.OffsetItem

an unknown offset in a dictionary for the list. We will fix up the offset later; for now, assume it's large.

Field Summary
`int` `size`

Fields inherited from class com.lowagie.text.pdf.CFFFont.OffsetItem
`value`

Fields inherited from class com.lowagie.text.pdf.CFFFont.Item
`myOffset`

Constructor Summary
`CFFFont.DictOffsetItem()`

Method Summary
`void` `emit(byte[] buffer)` Emit the byte stream for this item.
`void` `increment(int[] currentOffset)` remember the current offset and increment by item's size in bytes.

Methods inherited from class com.lowagie.text.pdf.CFFFont.OffsetItem
`set`

Methods inherited from class com.lowagie.text.pdf.CFFFont.Item
`xref`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### size

    public final int size

Constructor Detail

### CFFFont.DictOffsetItem

    public CFFFont.DictOffsetItem()

Method Detail

### increment

    public void increment(int[] currentOffset)

  Description copied from class: `CFFFont.Item`
  remember the current offset and increment by item's size in bytes.

  Overrides:
    `increment` in class `CFFFont.Item`

### emit

    public void emit(byte[] buffer)

  Description copied from class: `CFFFont.Item`
  Emit the byte stream for this item.

  Overrides:
    `emit` in class `CFFFont.Item`